Name:           python-ipympl
Version:        0.9.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Matplotlib Jupyter Extension

# No license information obtained, it's up to the packager to fill it in
License:        BSD-3-Clause
URL:            http://matplotlib.org/ipympl
Source:         %{pypi_source ipympl}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  nodejs-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ipympl' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ipympl
Summary:        %{summary}

%description -n python3-ipympl %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
#pyproject_extras_subpkg -n python3-ipympl docs


%prep
%autosetup -p1 -n ipympl-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires
#-x docs


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files -l ipympl
mkdir -p %{buildroot}%{_sysconfdir}/jupyter/nbconfig/notebook.d
mv %{buildroot}%{_prefix}/etc/jupyter/nbconfig/notebook.d/jupyter-matplotlib.json \
	%{buildroot}%{_sysconfdir}/jupyter/nbconfig/notebook.d/jupyter-matplotlib.json


%check
%pyproject_check_import


%files -n python3-ipympl -f %{pyproject_files}
%{_datadir}/jupyter/{lab,nb}extensions/jupyter-matplotlib
%{_sysconfdir}/jupyter/nbconfig/notebook.d/jupyter-matplotlib.json


%changelog
%autochangelog
